---
title: "iCal download (.ics)"
manual: "Fullcalendar"
version: "main"
permalink: "https://docs.typo3.org/permalink/mediaessenz/fullcalendar:ics-download@main"
source: "Reference/IcsDownload/Index.rst"
rendered: "2026-10-25T19:39:52+00:00"
---

# iCal download (.ics) {#ics-download}

The button **Download iCal-File (.ics)** in the event modal creates a file, which can be imported in all
common calendar applications. The file is generated by a PSR-15 middleware
(`MEDIAESSENZFullcalendarMiddlewareCalendarIcsMiddleware`) on the path `/event.ics`.

The browser sends the data of the event as query parameters: `uid`, `summary`,
`dtstart`, `dtend`, `allDay`, `timeZone`, `timeZoneOffset`, `description` and
`location`. The parameters `uid`, `dtstart` and `dtend` are required, otherwise
the middleware answers with the status 500.

-   **icsUrlPrefix**

    -   *Type:* string
    -   *Default:* /event.ics?

    Prefix of the URL of the download link. The middleware only answers on the path `/event.ics`
    of the domain. Change the prefix only if the site is located in a subdirectory and the path
    is rewritten accordingly.

> [!NOTE]
> The middleware runs before the site resolution of TYPO3. The path is the same for all sites.
